import request from '@/utils/request'

// 查询生产过程报告列表
export function listProduce(query) {
	return request({
		url: '/quality/qcProduceReport/list',
		method: 'get',
		params: query
	});
}

// 查询生产过程报告详细
export function getProduce(recordId) {
	return request({
		url: '/quality/qcProduceReport/' + recordId,
		method: 'get'
		});
}

// 新增生产过程报告
export function addProduce(data) {
	return request({
		url: '/quality/qcProduceReport',
		method: 'post',
		data: data
	});
}

// 修改生产过程报告
export function updateProduce(data) {
	return request({
		url: '/quality/qcProduceReport',
		method: 'put',
		data: data
	});
}

// 删除生产过程报告
export function delProduce(recordId) {
	return request({
		url: '/quality/qcProduceReport/' + recordId,
		method: 'delete'
	});
}

